Bug 223880 - ghc66-gtk2hs-mozembed postinstall scriptlet error
ghc66-gtk2hs-mozembed postinstall scriptlet error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2hs (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: 202395
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2007-01-22 16:45 EST by Jerry James
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 20:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2007-01-22 16:45:18 EST
Description of problem:
During installation of ghc66-gtk2hs-mozembed, rpm reports:

error: %post(ghc66-gtk2hs-mozembed-0.9.10.2-0.1.fc6.x86_64) scriptlet failed,
exit status 1

The problem is that /usr/lib64/ghc/6.6/gtk2hs/mozembed.package.conf has an
explicit reference to /usr/lib64/firefox-1.5.0.8, which no longer exists on my
system.  While ghc66-gtk2hs-mozembed has a Requires on firefox-devel, this seems
to mean that it Requires a particular version of firefox.

Version-Release number of selected component (if applicable):
ghc66-gtk2hs-mozembed-0.9.10.2-0.1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Install ghc66-gtk2hs-mozembed
  
Actual results:
RPM reports that the postinstall scriptlet failed.

Expected results:
The postinstall scriptlet should succeed.

Additional info:
Comment 1 Jens Petersen 2007-03-20 03:30:53 EDT
I really don't feel it makes sense to rebuild gtk2hs everytime there is
a minor version update of firefox.

Frankly I am tempted just to disable the mozembed subpackage for now.

But if there is demand for it I suppose it could be done.
May impression is that not many people use gtk2hs mozembed anyway.

What do you use it for?
Comment 2 Jerry James 2007-03-20 13:46:21 EDT
I think you are right that few people use it.  I teach a programming languages
course.  One of the languages we cover is Haskell.  This package just lends me a
small "Wow!" factor to help convince the students that Haskell is worth
studying.  I could live without it.

Is there any chance that the firefox packages could be altered slightly?  If
there were symlinks %{_libdir}/firefox-1.5 -> %{_libdir}/firefox-%{version} and
%{_includedir}/firefox-1.5 -> %{_includedir}/firefox-%{version} then this
problem would have a very easy fix (until firefox-1.6 comes out, of course).
Comment 3 Jens Petersen 2007-03-20 21:52:26 EDT
According to the firefox package maintainer (see bug 202395)
the ABI breaks sometimes even between minor releases. :-/

It is a hard call: update gtk2hs for every firefox version update,
which is annoying for people who do not use gtk2hs mozembed since
they will keep getting trivial yum updates, or drop it from the build,
but that also seems like a shame.  I am tempted to turn it off for now
and see if other people scream. :)

It is great you're using Fedora in your teaching.  Do your
students use the gtk2hs-mozembed package themselves or is it for a demo?
There is a build switch for mozembed in the spec file so it is quite easy to
turn building of the subpackage on or off.
Comment 4 Jerry James 2007-03-21 11:36:52 EDT
I've just used it for a demo so far.  Most of my students use Windows (sigh),
but I have managed to turn a few from the dark side to the light of Fedora.  I
could easily rebuild the package myself once a year to get the subpackage.  I
don't use it the rest of the year, and it's likely hardly anyone else does
either.  I have no problem with you just turning the thing off to avoid having
to rebuild it all the time.
Comment 5 Jens Petersen 2007-03-21 20:21:46 EDT
Ok, thanks, then I'm afraid I'm turning off mozembed in builds for now
in 0.9.11-1.fc7.  Probably I will update the fc6 package soon too.

I hear with firefox 3 moving to xulrunner (libxul) hopefully the ABI/version
problem should get better. :)  At that point we should certainly turn
mozembed back on.

If others have a problem with this "solution", feel free to re-open
this bug and argue your case. :)

Note You need to log in before you can comment on or make changes to this bug.